// 1_motifs.js
// This file retrieves all available motifs and stores them in motifs.json

// Includes
var request = require('request');
var http = require('http');
var fs = require('fs');
http.globalAgent.maxSockets = 1000;

// Configuration
var api_url = 'http://v3.alphapicture.com';
var api_username = 'apiuser';
var api_password = 'password';
var api_key = 'secretkey';

// Code

request({
	uri : api_url + '/Motifs',
	method : "GET",
	headers : {
		'APIV3-Account' : 'koen',
		'APIV3-Password' : 'password2'
	}
}, function(error, response, body) {
	fs.writeFile('./motifs.json', JSON.stringify(JSON.parse(body), null, 4), function(err) {
		if (err) {
			console.log(err);
		} else {
			console.log("Motif JSON saved to motifs.json");
		}
	});
});
